Subject: Re: [PATCH v5 1/3] powerpc: make fadump resilient with memory add/remove events

From: Michael Ellerman <[email-masked]>
Date: Wed, 22 Nov 2023 16:17:08 +1100

Aneesh Kumar K V <[email-masked]> writes:
...
>
> I am not sure whether we need to add all the complexity to enable supporting different fadump kernel
> version. Is that even a possible use case with fadump? Can't we always assume that with fadump the
> crash kernel and fadump kernel will be same version?

How sure are we of that?

Don't we go through grub when we boot into the 2nd kernel. And so
couldn't it choose to boot a different kernel, for whatever reason.

I don't think we need to support different pt_reg / cpumask sizes, but
requiring the exact same kernel version is too strict I think.

But maybe I'm wrong. Would be good to hear what distro folks think.

cheers